<?php
// +----------------------------------------------------------------------
// | ThinkPHP [ WE CAN DO IT JUST THINK ]
// +----------------------------------------------------------------------
// | Copyright (c) 2006~2018 http://thinkphp.cn All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: liu21st <liu21st@gmail.com>
// +----------------------------------------------------------------------
use think\facade\Route;

Route::rule('login', 'User/login');
Route::rule('verifyToken', 'User/verify_token');
Route::rule('register', 'User/register');
Route::rule('dingTalk', 'User/DingTalk');
Route::rule('accountquery', 'User/AccountQuery');

Route::rule('userlist', 'UserInfo/UserList');
Route::rule('usersave', 'UserInfo/UserSave');
Route::rule('userstatus', 'UserInfo/UserStatus');
Route::rule('userinfo', 'UserInfo/info');
Route::rule('setpasswd', 'UserInfo/PassSet');
Route::rule('setcompany', 'UserInfo/setCompany');
Route::rule('companystatus', 'UserInfo/setCompanyStatus');
Route::rule('useradd', 'UserInfo/userAdd');
Route::rule('userall', 'UserInfo/userAll');
Route::rule('userDelete', 'UserInfo/userDelete');
Route::rule('userlistbycompany', 'UserInfo/UserListByCompany');
Route::rule('passSetByPassword', 'UserInfo/passSetByPassword');
Route::rule('get_company_list', 'UserInfo/getCompanyList');
Route::rule('check_has_account_by_supplierNos', 'UserInfo/checkHasAccountBySupplierNos');

//【公司账号管理】
Route::rule('userCompanyBasicAdd', 'UserCompanyBasic/add');
Route::rule('userCompanyBasicList', 'UserCompanyBasic/getList');
Route::rule('userCompanyBasicDelete', 'UserCompanyBasic/delete');
Route::rule('userCompanyBasicUpdate', 'UserCompanyBasic/update');
Route::rule('userCompanyBasicStatus', 'UserCompanyBasic/status');
Route::rule('userCompanyBasicInfo', 'UserCompanyBasic/info');
//【公司账号查询】
Route::rule('userCompanyList', 'admin/UserCompany/getList');
Route::rule('userCompanyInfo', 'admin/UserCompany/info');
Route::rule('userCompanyUpdate', 'admin/UserCompany/update');
Route::rule('userCompanyStatus', 'admin/UserCompany/status');
Route::rule('changeMain', 'admin/UserCompany/changeMain');

//公司汇总
Route::rule('hqAdd', 'Headquarters/add');
Route::rule('hqList', 'Headquarters/getList');
Route::rule('hqUpdate', 'Headquarters/update');
Route::rule('hqInfo', 'Headquarters/info');
Route::rule('bGetList', 'Headquarters/bGetList');
Route::rule('bCreate', 'Headquarters/bCreate');
Route::rule('bInfo', 'Headquarters/bInfo');
Route::rule('bEdit', 'Headquarters/bEdit');
Route::rule('bTitle', 'Headquarters/bTitle');
Route::rule('sGetList', 'Headquarters/sGetList');
Route::rule('sCreate', 'Headquarters/sCreate');
Route::rule('sInfo', 'Headquarters/sInfo');
Route::rule('sEdit', 'Headquarters/sEdit');
Route::rule('cInfo', 'Headquarters/cInfo');
Route::rule('cTitle', 'Headquarters/cTitle');
Route::rule('cCreate', 'Headquarters/cCreate');
Route::rule('cList', 'Headquarters/cList');
Route::rule('cEdit', 'Headquarters/cEdit');
Route::rule('delete', 'Headquarters/delete');
Route::rule('status', 'Headquarters/status');
Route::rule('getCodeAndName', 'Headquarters/getCodeAndName');
Route::rule('supplerUpgrade', 'Headquarters/supplerUpgrade');
Route::rule('get_business_list_tmp', 'Headquarters/getBusinessListTmp');

//组织
Route::rule('customer_org_create', 'CustomerOrg/create');
Route::rule('customer_org_list', 'CustomerOrg/list');
Route::rule('customer_org_update', 'CustomerOrg/update');
Route::rule('customer_org_info', 'CustomerOrg/info');
Route::rule('customer_org_delete', 'CustomerOrg/delete');
Route::rule('customer_org_status', 'CustomerOrg/status');
Route::rule('get_top_customer_org', 'CustomerOrg/getTopCustomerOrg');

//组织架构
Route::rule('ulist', 'CompanyItem/getList');
Route::rule('add', 'CompanyItem/add');
Route::rule('refresh', 'CompanyItem/update');
Route::rule('itemdel', 'CompanyItem/delete');
Route::rule('stat', 'CompanyItem/status');
Route::rule('userp', 'CompanyItem/userp');
Route::rule('query', 'CompanyItem/query');
Route::rule('get_part', 'CompanyItem/getPart');
Route::rule('ciinfo', 'CompanyItem/info');
Route::rule('get_company_name_by_uid', 'CompanyItem/getCompanyNameByUid');//获取用户id对应的部门名称
Route::rule('get_company_item_user_by_name', 'CompanyItem/getCompanyItemUserByName');//获取部门名称下的所有用户

Route::rule("webAuth","WeChat/WebAuth");
Route::rule("getConfig","WeChat/getConfig");